Get all fact-find schemas Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/fact-find/schema

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[archived] string

    Filter archived fact-find schemas. E.g filter[archived]=include, filter[archived]=exclude, filter[archived]=only

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • archived_at string

        If the schema has been archived, the datetime of when it was archived.

      • is_archived boolean

        Denotes if the schema has been archived.

      • name string

        The name of the fact find schema.

      • introduction_html string

        The name of the fact find schema. Must be unique.

      • sections_count integer

        The number of sections inside of a fact find schema.

      • public_url string

        The public URL of the fact find schema.

GET /api/v1/fact-find/schema
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/fact-find/schema' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "cad99d81-4bbc-4a6d-8b5e-80d262242580",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "archived_at": "2026-06-07T16:08:03+01:00",
      "is_archived": false,
      "name": "Default fact find",
      "introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
      "sections_count": 5,
      "public_url": "https://api.plannrcrm.com/fact-find/f6cc418e-634d-4777-ac55-02655256d1e2"
    }
  ]
}